Subject: bug#346 closed by Mark Hindley <[email-masked]> (Re: reportbug fails to start after already configured)

From: "Devuan bug Tracking System" <[email-masked]>
Date: Tue, 28 Jan 2020 10:03:04 +0000

This is an automatic notification regarding your bug report
which was filed against the reportbug package:

#346: reportbug fails to start after already configured

It has been closed by Mark Hindley <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Mark Hindley <[email-masked]> by
replying to this email.

-- 
346: https://bugs.devuan.org/cgi/bugreport.cgi?bug=346
Devuan Bug Tracking System
Contact [email-masked] with problems

Subject: Re: reportbug fails to start after already configured
From: Mark Hindley <[email-masked]>
To: [email-masked]
Date: Tue, 28 Jan 2020 09:45:24 +0000

Version: 7.1.7
Control: tags -1 = ascii debian

Looking more closely, this appears to be Debian bugs #857013, #846053 and
 #826534. They were fixed in reportbug 7.1.7.

Closing.

Mark

Subject: reportbug fails to start after already configured
From: Andy Alt <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Sat, 10 Aug 2019 00:52:29 +0000 (UTC)

Package: reportbugVersion: reportbug 7.1.6+devuan2.1
I first ran reportbug, selected "standard" and went through the configuration prompts. Filled out the report and selected to send. It failed because I didn't have the method correct for sending mail, and asked me if I want to retry or save, etc. I hit "q". When I tried to restart reportbug, I typed in "xfce" for the package name, was prompted for similar package names, then selected xfce4-panel. I then got the following output:
Select one of these packages: xfce4-panel
A package named 'xfce' does not appear to be installed on your system; however,
'xfce4-panel' contains a file named 'xfce'. Do you want to file your report on
the package reportbug found [Y|n|q|?]? y
Getting status for xfce4-panel...
Traceback (most recent call last):
  File "/usr/bin/reportbug", line 2235, in <module>
    main()
  File "/usr/bin/reportbug", line 1108, in main
    return iface.user_interface()
  File "/usr/bin/reportbug", line 1518, in user_interface
    status = utils.get_package_status(package)
  File "/usr/lib/python3/dist-packages/reportbug/utils.py", line 379, in get_package_status
    conffiles = conffiles + [re.findall(r' (.+) ([0-9a-f]+).*$', line)[0]]
IndexError: list index out of range

Here's a copy of .reportbugrc with my email address blotted out:

# reportbug preferences file# character encoding: UTF-8
# Version of reportbug this preferences file was written by
reportbug_version "7.1.6+devuan2.1"
# default operating mode: one of: novice, standard, advanced, expert
mode standard
# default user interface
ui text
# offline setting - comment out to be online
#offline
# name and email setting (if non-default)
realname "Andy Alt"
email "andy.......ahoo.com"
# Disable fallback mode by commenting out the following:
no-cc
header "X-Debbugs-CC: [email-masked]"
smtphost reportbug.debian.org
# You can add other settings after this line.  See
# /etc/reportbug.conf for a full listing of options.
I'm using Devuan ascii.
Linux demeter 4.9.0-6-amd64 #1 SMP Debian 4.9.88-1+deb9u1 (2018-05-07) x86_64 GNU/Linux